import { type Base, genBase } from './_base'
import type { Employee } from './employee'
export interface DivisionPosition extends Base {
  code: string
  name: string
  headStatus?: boolean
  division_id: number
  employee_id?: number

  employee?: Employee | null
}

export function genDivisionPosition(): DivisionPosition {
  return {
    ...genBase(),
    code: '',
    name: '',
    headStatus: false,
    division_id: 0,
    employee_id: 0,
  }
}
